diff --git a/src/main/java/net/minecraft/server/entity/player/PlayerServer.java b/game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
similarity index 87%
rename from src/main/java/net/minecraft/server/entity/player/PlayerServer.java
rename to game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
index 9d69846bb..85cd53ee9 100644
--- a/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
@@ -3,6 +3,7 @@ package net.minecraft.server.entity.player;
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockPortal;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.*;
 import net.minecraft.core.crafting.ContainerListener;
 import net.minecraft.core.entity.*;
@@ -95,7 +96,7 @@ public class PlayerServer extends Player implements ContainerListener {
     @Override
 	public void setGamemode(Gamemode gamemode)
     {
-        mcServer.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(this.id, gamemode.getId()));
+        mcServer.playerList.sendPacketToAllPlayers(new PacketPlayerGamemode(this.id, gamemode.getId()));
         this.gamemode = gamemode;
 
         MenuInventory newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
@@ -199,7 +200,7 @@ public class PlayerServer extends Player implements ContainerListener {
             ItemStack itemstack = getEquipmentInSlot(i);
             if (itemstack != playerInventory[i])
             {
-                mcServer.getEntityTracker(dimension).sendPacketToTrackedPlayers(this, new SetEquippedItemPacket(id, i, itemstack));
+                mcServer.getEntityTracker(dimension).sendPacketToTrackedPlayers(this, new PacketSetEquippedItem(id, i, itemstack));
                 playerInventory[i] = itemstack;
             }
         }
@@ -301,7 +302,7 @@ public class PlayerServer extends Player implements ContainerListener {
 
         if (inPortal)
         {
-            int targetDim = ((BlockPortal) Block.blocksList[portalID]).targetDimension;
+            int targetDim = ((BlockPortal) Blocks.blocksList[portalID]).targetDimension;
             boolean netherAllowed = mcServer.propertyManager.getBooleanProperty("allow-nether", true);
             boolean paradiseAllowed = mcServer.propertyManager.getBooleanProperty("allow-paradise", false);
             if ((netherAllowed && targetDim == Dimension.NETHER.id) || (paradiseAllowed && targetDim == Dimension.PARADISE.id) || (targetDim != Dimension.NETHER.id && targetDim != Dimension.PARADISE.id))
@@ -351,7 +352,7 @@ public class PlayerServer extends Player implements ContainerListener {
         }
         if (getHealth() != lastHealth)
         {
-            playerNetServerHandler.sendPacket(new SetHealthPacket(getHealth()));
+            playerNetServerHandler.sendPacket(new PacketSetHealth(getHealth()));
             lastHealth = getHealth();
         }
         if (score != lastScore)
@@ -372,7 +373,7 @@ public class PlayerServer extends Player implements ContainerListener {
                 {
                     WorldServer worldserver = mcServer.getDimensionWorld(dimension);
                     loadedChunks.remove(chunkCoord);
-                    playerNetServerHandler.sendPacket(new BlockRegionUpdatePacket(chunkCoord.x * Chunk.CHUNK_SIZE_X, 0, chunkCoord.z * Chunk.CHUNK_SIZE_Z, Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y, Chunk.CHUNK_SIZE_Z, worldserver));
+                    playerNetServerHandler.sendPacket(new PacketBlockRegionUpdate(chunkCoord.x * Chunk.CHUNK_SIZE_X, 0, chunkCoord.z * Chunk.CHUNK_SIZE_Z, Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y, Chunk.CHUNK_SIZE_Z, worldserver));
                     List list = worldserver.getBlockEntitiesWithinBounds(chunkCoord.x * Chunk.CHUNK_SIZE_X, 0, chunkCoord.z * Chunk.CHUNK_SIZE_Z, chunkCoord.x * Chunk.CHUNK_SIZE_X + Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y, chunkCoord.z * Chunk.CHUNK_SIZE_Z + Chunk.CHUNK_SIZE_Z);
                     for (int j = 0; j < list.size(); j++)
                     {
@@ -413,11 +414,11 @@ public class PlayerServer extends Player implements ContainerListener {
             EntityTrackerImpl entitytracker = mcServer.getEntityTracker(dimension);
             if (entity instanceof EntityItem)
             {
-                entitytracker.sendPacketToTrackedPlayers(entity, new TakeItemEntityPacket(entity.id, id));
+                entitytracker.sendPacketToTrackedPlayers(entity, new PacketTakeItemEntity(entity.id, id));
             }
             if (entity instanceof ProjectileArrow)
             {
-                entitytracker.sendPacketToTrackedPlayers(entity, new TakeItemEntityPacket(entity.id, id));
+                entitytracker.sendPacketToTrackedPlayers(entity, new PacketTakeItemEntity(entity.id, id));
             }
         }
         super.onItemPickup(entity, item);
@@ -432,7 +433,7 @@ public class PlayerServer extends Player implements ContainerListener {
             swingProgressInt = -1;
             isSwinging = true;
             EntityTrackerImpl entitytracker = mcServer.getEntityTracker(dimension);
-            entitytracker.sendPacketToTrackedPlayers(this, new AnimatePacket(this, 1));
+            entitytracker.sendPacketToTrackedPlayers(this, new PacketAnimate(this, 1));
         }
     }
 
@@ -447,7 +448,7 @@ public class PlayerServer extends Player implements ContainerListener {
         if (status == EnumSleepStatus.OK)
         {
             EntityTrackerImpl entitytracker = mcServer.getEntityTracker(dimension);
-            SleepPacket sleepPacket = new SleepPacket(this, 0, x, y, z);
+            PacketSleep sleepPacket = new PacketSleep(this, 0, x, y, z);
             entitytracker.sendPacketToTrackedPlayers(this, sleepPacket);
             playerNetServerHandler.teleportAndRotate(this.x, this.y, this.z, yRot, xRot);
             playerNetServerHandler.sendPacket(sleepPacket);
@@ -461,7 +462,7 @@ public class PlayerServer extends Player implements ContainerListener {
         if (isPlayerSleeping())
         {
             EntityTrackerImpl entitytracker = mcServer.getEntityTracker(dimension);
-            entitytracker.sendPacketToTrackedPlayersAndTrackedEntity(this, new AnimatePacket(this, 3));
+            entitytracker.sendPacketToTrackedPlayersAndTrackedEntity(this, new PacketAnimate(this, 3));
             super.wakeUpPlayer(flag, flag1);
         }
         if (playerNetServerHandler != null)
@@ -481,10 +482,10 @@ public class PlayerServer extends Player implements ContainerListener {
         }
         super.startRiding(vehicle);
         if (vehicle instanceof Entity) {
-            playerNetServerHandler.sendPacket(new SetRidingPacket(this, (Entity) this.vehicle));
+            playerNetServerHandler.sendPacket(new PacketSetRiding(this, (Entity) this.vehicle));
         } else if (vehicle instanceof TileEntity) {
             TileEntity tileEntity = (TileEntity) vehicle;
-            playerNetServerHandler.sendPacket(new SetRidingPacket(this, tileEntity.x, tileEntity.y, tileEntity.z));
+            playerNetServerHandler.sendPacket(new PacketSetRiding(this, tileEntity.x, tileEntity.y, tileEntity.z));
         }
         playerNetServerHandler.teleport(x, y, z);
     }
@@ -508,7 +509,7 @@ public class PlayerServer extends Player implements ContainerListener {
 	public void displayWorkbenchScreen(int x, int y, int z)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_CRAFTING, "Crafting", 9));
+        playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_CRAFTING, "Crafting", 9));
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuCrafting(inventory, world, x, y, z);
         craftingInventory.containerId = currentWindowId;
@@ -518,7 +519,7 @@ public class PlayerServer extends Player implements ContainerListener {
     @Override
     public void displayPaintingPickerScreen()
     {
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_PAINTING, "Painting", 0));
+        playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_PAINTING, "Painting", 0));
     }
 
     @Override
@@ -526,7 +527,7 @@ public class PlayerServer extends Player implements ContainerListener {
     {
         getNextWindowId();
         PacketHandlerServer.LOGGER.info("{} interacted with chest at ({}, {}, {})", username, x, y, z);
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_GENERIC_CONTAINER, container.getName(), container.getContainerSize()));
+        playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_GENERIC_CONTAINER, container.getName(), container.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuContainer(inventory, container);
         craftingInventory.containerId = currentWindowId;
@@ -539,11 +540,11 @@ public class PlayerServer extends Player implements ContainerListener {
         getNextWindowId();
         if (blockEntity instanceof TileEntityFurnaceBlastFurnace)
         {
-            playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_BLAST_FURNACE, blockEntity.getName(), blockEntity.getContainerSize()));
+            playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_BLAST_FURNACE, blockEntity.getName(), blockEntity.getContainerSize()));
         }
         else
         {
-            playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_FURNACE, blockEntity.getName(), blockEntity.getContainerSize()));
+            playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_FURNACE, blockEntity.getName(), blockEntity.getContainerSize()));
         }
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuFurnace(inventory, blockEntity);
@@ -555,7 +556,7 @@ public class PlayerServer extends Player implements ContainerListener {
 	public void displayDispenserScreen(TileEntityDispenser blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_DISPENSER, blockEntity.getName(), blockEntity.getContainerSize()));
+        playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_DISPENSER, blockEntity.getName(), blockEntity.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuTrap(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
@@ -566,7 +567,7 @@ public class PlayerServer extends Player implements ContainerListener {
     public void displayActivatorScreen(TileEntityActivator blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_ACTIVATOR, blockEntity.getName(), blockEntity.getContainerSize()));
+        playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_ACTIVATOR, blockEntity.getName(), blockEntity.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuActivator(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
@@ -578,7 +579,7 @@ public class PlayerServer extends Player implements ContainerListener {
 	public void displayTrommelScreen(TileEntityTrommel blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_TROMMEL, blockEntity.getName(), blockEntity.getContainerSize()));
+        playerNetServerHandler.sendPacket(new PacketContainerOpen(currentWindowId, PacketContainerOpen.TYPE_TROMMEL, blockEntity.getName(), blockEntity.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuTrommel(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
@@ -589,7 +590,7 @@ public class PlayerServer extends Player implements ContainerListener {
     public void displayFlagEditorScreen(TileEntityFlag blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new FlagOpenPacket(currentWindowId, blockEntity.x, blockEntity.y, blockEntity.z));
+        playerNetServerHandler.sendPacket(new PacketFlagOpen(currentWindowId, blockEntity.x, blockEntity.y, blockEntity.z));
         craftingInventory.onCraftGuiClosed(this);
         craftingInventory = new MenuFlag(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
@@ -621,7 +622,7 @@ public class PlayerServer extends Player implements ContainerListener {
         {
             if (playerNetServerHandler != null)
             {
-                playerNetServerHandler.sendPacket(new ContainerSetSlotPacket(container.containerId, i, itemstack));
+                playerNetServerHandler.sendPacket(new PacketContainerSetSlot(container.containerId, i, itemstack));
             }
             return;
         }
@@ -639,7 +640,7 @@ public class PlayerServer extends Player implements ContainerListener {
         //playernetserverhandler returning false?
         if (playerNetServerHandler != null)
         {
-            playerNetServerHandler.sendPacket(new ContainerSetContentPacket(container.containerId, list));
+            playerNetServerHandler.sendPacket(new PacketContainerSetContent(container.containerId, list));
 //            playerNetServerHandler.sendPacket(new ContainerSetSlotPacket(-1, -1, inventory.getHeldItemStack()));
         }
     }
@@ -647,7 +648,7 @@ public class PlayerServer extends Player implements ContainerListener {
     @Override
 	public void updateCraftingInventoryInfo(MenuAbstract container, int id, int value)
     {
-        playerNetServerHandler.sendPacket(new ContainerSetDataPacket(container.containerId, id, value));
+        playerNetServerHandler.sendPacket(new PacketContainerSetData(container.containerId, id, value));
     }
 
     @Override
@@ -657,7 +658,7 @@ public class PlayerServer extends Player implements ContainerListener {
 
     public void usePersonalCraftingInventory()
     {
-        playerNetServerHandler.sendPacket(new ContainerClosePacket(craftingInventory.containerId));
+        playerNetServerHandler.sendPacket(new PacketContainerClose(craftingInventory.containerId));
         closeCraftingGui();
     }
 
@@ -669,7 +670,7 @@ public class PlayerServer extends Player implements ContainerListener {
         }
         else
         {
-            playerNetServerHandler.sendPacket(new ContainerSetSlotPacket(-1, -1, inventory.getHeldItemStack()));
+            playerNetServerHandler.sendPacket(new PacketContainerSetSlot(-1, -1, inventory.getHeldItemStack()));
             return;
         }
     }
@@ -700,11 +701,11 @@ public class PlayerServer extends Player implements ContainerListener {
         if (!stat.clientside)
         {
             for (; i > 100; i -= 100) { // send value change in groups of 100
-                playerNetServerHandler.sendPacket(new StatisticPacket(stat.statId, 100));
+                playerNetServerHandler.sendPacket(new PacketStatistic(stat.statId, 100));
             }
 
             if (i > 0) {
-                playerNetServerHandler.sendPacket(new StatisticPacket(stat.statId, i));
+                playerNetServerHandler.sendPacket(new PacketStatistic(stat.statId, i));
             }
         }
     }
@@ -734,33 +735,33 @@ public class PlayerServer extends Player implements ContainerListener {
     {
         I18n stringtranslate = I18n.getInstance();
         String s1 = stringtranslate.translateKey(s);
-        playerNetServerHandler.sendPacket(new ChatPacket(s1));
+        playerNetServerHandler.sendPacket(new PacketChat(s1));
     }
     
     @Override
     public void setCurrentItem(int i) {
     	super.setCurrentItem(i);
-    	playerNetServerHandler.sendPacket(new SetCarriedItemPacket(i));
+    	playerNetServerHandler.sendPacket(new PacketSetCarriedItem(i));
     }
 
     @Override
     public void setHeldObject(@Nullable ICarriable heldObject) {
         super.setHeldObject(heldObject);
-        mcServer.getEntityTracker(dimension).sendPacketToTrackedPlayers(this, new SetHeldObjectPacket(id, heldObject));
+        mcServer.getEntityTracker(dimension).sendPacketToTrackedPlayers(this, new PacketSetHeldObject(id, heldObject));
 
         // Ensure slot is definitely synced
-        playerNetServerHandler.sendPacket(new SetHotbarOffsetPacket(inventory.getHotbarOffset()));
-        playerNetServerHandler.sendPacket(new SetCarriedItemPacket(inventory.getCurrentItemIndex()));
+        playerNetServerHandler.sendPacket(new PacketSetHotbarOffset(inventory.getHotbarOffset()));
+        playerNetServerHandler.sendPacket(new PacketSetCarriedItem(inventory.getCurrentItemIndex()));
     }
 
     @Override
 	public void sendMessage(String message) {
-		playerNetServerHandler.sendPacket(new ChatPacket(message, 0, AES.keyChain.get(username)));
+		playerNetServerHandler.sendPacket(new PacketChat(message, 0, AES.keyChain.get(username)));
 	}
 
 	@Override
 	public void sendStatusMessage(String message) {
-		playerNetServerHandler.sendPacket(new ChatPacket(message, 1, AES.keyChain.get(username)));
+		playerNetServerHandler.sendPacket(new PacketChat(message, 1, AES.keyChain.get(username)));
 	}
 
     public void teleport(double x, double y, double z, float xr, float yr) {
diff --git a/src/main/java/net/minecraft/server/net/PlayerList.java b/game/server/src/main/java/net/minecraft/server/net/PlayerList.java
similarity index 95%
rename from src/main/java/net/minecraft/server/net/PlayerList.java
rename to game/server/src/main/java/net/minecraft/server/net/PlayerList.java
index 8956e75ba..84431d4fe 100644
--- a/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/game/server/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -229,15 +229,15 @@ public class PlayerList
             }
             else
             {
-                newPlayer.playerNetServerHandler.sendPacket(new BedMessagePacket(0));
+                newPlayer.playerNetServerHandler.sendPacket(new PacketBedMessage(0));
             }
         }
         worldserver.chunkProviderServer.prepareChunk((int) newPlayer.x >> 4, (int) newPlayer.z >> 4);
         for (; worldserver.getCubes(newPlayer, newPlayer.bb).size() != 0; newPlayer.setPos(newPlayer.x, newPlayer.y + 1.0D, newPlayer.z))
         {
         }
-        newPlayer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) newPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.worldType)));
-        server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(newPlayer.id, newPlayer.gamemode.getId()));
+        newPlayer.playerNetServerHandler.sendPacket(new PacketRespawn((byte) newPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.worldType)));
+        server.playerList.sendPacketToAllPlayers(new PacketPlayerGamemode(newPlayer.id, newPlayer.gamemode.getId()));
         newPlayer.playerNetServerHandler.teleportAndRotate(newPlayer.x, newPlayer.y, newPlayer.z, newPlayer.yRot, newPlayer.xRot);
         setTime(newPlayer, worldserver);
         getPlayerManager(newPlayer.dimension).addPlayer(newPlayer);
@@ -245,7 +245,7 @@ public class PlayerList
         playerEntities.add(newPlayer);
         newPlayer.setupCraftingInventoryListener();
         newPlayer.func_22068_s();
-        newPlayer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
+        newPlayer.playerNetServerHandler.sendPacket(new PacketGameRule(server.getDimensionWorld(0).getLevelData().getGameRules()));
         return newPlayer;
     }
 
@@ -257,7 +257,7 @@ public class PlayerList
 
         playerServer.dimension = targetDim;
         WorldServer worldserver1 = server.getDimensionWorld(playerServer.dimension);
-        playerServer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) playerServer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver1.worldType)));
+        playerServer.playerNetServerHandler.sendPacket(new PacketRespawn((byte) playerServer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver1.worldType)));
         worldserver.removePlayer(playerServer);
         playerServer.removed = false;
         double x = playerServer.x;
@@ -296,11 +296,11 @@ public class PlayerList
         }
         syncPlayerDimension(playerServer);
         playerServer.playerNetServerHandler.teleportAndRotate(playerServer.x, playerServer.y, playerServer.z, playerServer.yRot, playerServer.xRot);
-        server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(playerServer.id, playerServer.gamemode.getId()));
+        server.playerList.sendPacketToAllPlayers(new PacketPlayerGamemode(playerServer.id, playerServer.gamemode.getId()));
         playerServer.setWorld(worldserver1);
         setTime(playerServer, worldserver1);
         initializePlayerObject(playerServer);
-        playerServer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
+        playerServer.playerNetServerHandler.sendPacket(new PacketGameRule(server.getDimensionWorld(0).getLevelData().getGameRules()));
     }
 
     public void onTick()
@@ -324,14 +324,14 @@ public class PlayerList
     }
 
     public void updatePlayerProfile(String username, String nickname, UUID uuid, int score, byte chatColor, boolean isOnline, boolean isOperator) {
-        sendPacketToAllPlayers(new UpdatePlayerProfilePacket(username, nickname, uuid, score, chatColor, isOnline, isOperator));
+        sendPacketToAllPlayers(new PacketUpdatePlayerProfile(username, nickname, uuid, score, chatColor, isOnline, isOperator));
         PlayerListBox.updateList();
     }
 
     public void sendEncryptedChatToAllPlayers(String message)
     {
         for (PlayerServer player : playerEntities) {
-            player.playerNetServerHandler.sendPacket(new ChatPacket(message, 0, AES.keyChain.get(player.username)));
+            player.playerNetServerHandler.sendPacket(new PacketChat(message, 0, AES.keyChain.get(player.username)));
         }
 
     }
@@ -598,7 +598,7 @@ public class PlayerList
         PlayerServer player = getPlayerEntity(s);
         if (player != null)
         {
-            player.playerNetServerHandler.sendPacket(new ChatPacket(s1));
+            player.playerNetServerHandler.sendPacket(new PacketChat(s1));
         }
     }
 
@@ -626,7 +626,7 @@ public class PlayerList
 
     public void sendChatMessageToAllOps(String s)
     {
-        ChatPacket chatPacket = new ChatPacket(s);
+        PacketChat chatPacket = new PacketChat(s);
         for (PlayerServer player : playerEntities) {
             if (isOp(player.uuid)) {
                 player.playerNetServerHandler.sendPacket(chatPacket);
@@ -686,7 +686,7 @@ public class PlayerList
 
     public void setTime(PlayerServer player, WorldServer worldserver)
     {
-        player.playerNetServerHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
+        player.playerNetServerHandler.sendPacket(new PacketSetTime(worldserver.getWorldTime()));
 //        if(worldserver.func_27068_v())
 //        {
 //            player.playerNetServerHandler.sendPacket(new BedMessagePacket(1));
diff --git a/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java b/game/server/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
similarity index 94%
rename from src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
rename to game/server/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
index 578a9d2e9..5c1e8639f 100644
--- a/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/ConsoleCommandSource.java
@@ -3,7 +3,7 @@ package net.minecraft.server.net.command;
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.packet.ChatPacket;
+import net.minecraft.core.net.packet.PacketChat;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.util.helper.AES;
 import net.minecraft.core.util.helper.LoggedPrintStream;
@@ -79,12 +79,12 @@ public class ConsoleCommandSource implements CommandSource, IServerCommandSource
 
     @Override
     public void sendMessage(Player player, String message) {
-        this.server.playerList.sendPacketToPlayer(player.username, new ChatPacket(message, AES.keyChain.get(player.username)));
+        this.server.playerList.sendPacketToPlayer(player.username, new PacketChat(message, AES.keyChain.get(player.username)));
     }
 
     @Override
     public void sendMessageToAllPlayers(String message) {
-        this.getServer().playerList.sendPacketToAllPlayers(new ChatPacket(message));
+        this.getServer().playerList.sendPacketToAllPlayers(new PacketChat(message));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java b/game/server/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
similarity index 91%
rename from src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
rename to game/server/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
index 901049ae8..57a3a4536 100644
--- a/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/ServerCommandSource.java
@@ -2,7 +2,7 @@ package net.minecraft.server.net.command;
 
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.packet.ChatPacket;
+import net.minecraft.core.net.packet.PacketChat;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.util.helper.AES;
 import net.minecraft.core.util.helper.MathHelper;
@@ -75,17 +75,17 @@ public class ServerCommandSource implements CommandSource, IServerCommandSource
 
     @Override
     public void sendMessage(String message) {
-        this.player.playerNetServerHandler.sendPacket(new ChatPacket(message, AES.keyChain.get(this.player.username)));
+        this.player.playerNetServerHandler.sendPacket(new PacketChat(message, AES.keyChain.get(this.player.username)));
     }
 
     @Override
     public void sendMessage(Player player, String message) {
-        this.server.playerList.sendPacketToPlayer(player.username, new ChatPacket(message, AES.keyChain.get(player.username)));
+        this.server.playerList.sendPacketToPlayer(player.username, new PacketChat(message, AES.keyChain.get(player.username)));
     }
 
     @Override
     public void sendMessageToAllPlayers(String message) {
-        this.getServer().playerList.sendPacketToAllPlayers(new ChatPacket(message));
+        this.getServer().playerList.sendPacketToAllPlayers(new PacketChat(message));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
similarity index 97%
rename from src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
rename to game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
index 8c2f30377..2ae778173 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
@@ -14,7 +14,6 @@ import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
-import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.MinecraftServer;
 
 import java.util.List;
diff --git a/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
similarity index 93%
rename from src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
rename to game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
index 3d8e8daa0..14b26be7d 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
+++ b/game/server/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
@@ -10,7 +10,7 @@ import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
-import net.minecraft.core.net.packet.ChatPacket;
+import net.minecraft.core.net.packet.PacketChat;
 
 public class CommandMe implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
@@ -24,7 +24,7 @@ public class CommandMe implements CommandManager.CommandRegistry {
                         if (!(source instanceof IServerCommandSource))
                             throw CommandExceptions.multiplayerWorldOnly().create();
                         String senderName = source.getName();
-                        ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(new ChatPacket((asterisk ? "* " : "") + senderName + message));
+                        ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(new PacketChat((asterisk ? "* " : "") + senderName + message));
                         return Command.SINGLE_SUCCESS;
                     })))
             .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
@@ -34,7 +34,7 @@ public class CommandMe implements CommandManager.CommandRegistry {
                     if (!(source instanceof IServerCommandSource))
                         throw CommandExceptions.multiplayerWorldOnly().create();
                     String senderName = source.getName();
-                    ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(new ChatPacket("* " + senderName + message));
+                    ((IServerCommandSource) source).getServer().playerList.sendPacketToAllPlayers(new PacketChat("* " + senderName + message));
                     return Command.SINGLE_SUCCESS;
                 })));
     }
